Package tigase.auth

## Class DefaultMechanismSelector

- java.lang.Object
- - tigase.auth.DefaultMechanismSelector

- All Implemented Interfaces:
    `MechanismSelector`

      @Bean(name="mechanism-selector",
            parent=TigaseSaslProvider.class,
            active=true)
      public class DefaultMechanismSelector
      extends java.lang.Object
      implements MechanismSelector

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultMechanismSelector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<java.lang.String>` | `filterMechanisms​(java.util.Enumeration<javax.security.sasl.SaslServerFactory> serverFactories, XMPPResourceConnection session)` | Method filters all available SASL mechanisms from `factories` with current `session` state.
    `protected boolean` | `isAllowedForDomain​(java.lang.String mechanismName, VHostItem vhost)` |
    `protected boolean` | `match​(javax.security.sasl.SaslServerFactory factory, java.lang.String mechanismName, XMPPResourceConnection session)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMechanismSelector

          public DefaultMechanismSelector()

  - ### Method Detail

    - #### filterMechanisms

          public java.util.Collection<java.lang.String> filterMechanisms​(java.util.Enumeration<javax.security.sasl.SaslServerFactory> serverFactories,
                                                                         XMPPResourceConnection session)

      Description copied from interface: `MechanismSelector`
      Method filters all available SASL mechanisms from `factories` with current `session` state.
      Specified by:
        `filterMechanisms` in interface `MechanismSelector`
      Parameters:
        `serverFactories` - `SaslServerFactory` enumeration.
        `session` - current session
      Returns:
        collection of all SASL mechanisms available in given session (and current XMPP Stream).

    - #### isAllowedForDomain

          protected boolean isAllowedForDomain​(java.lang.String mechanismName,
                                               VHostItem vhost)

    - #### match

          protected boolean match​(javax.security.sasl.SaslServerFactory factory,
                                  java.lang.String mechanismName,
                                  XMPPResourceConnection session)